package omp_test

import (
	"goids/pkg/types/omp"
	"testing"
)

const headerExample = `; OM File Header - Saved 2022/12/29 14:43:16
; (6.19 :patc (om-make-point 10 10) (om-make-point 50 50) (om-make-point 500 400) "" 183 0 "2022/12/29 14:43:16" "2022/12/29 14:43:16")
; End File Header
`

func TestAbs(t *testing.T) {
	header := &omp.Header{}
	header.Init()
	str := header.DataToString()
	if str != headerExample {
		t.Errorf("Header is wrong\nwant:\n%s \n\ngot \n%s", headerExample, str)
	}

}
